import 'dart:ui';

class PieChatData {
  String address;

  Color color;

  int duration;

  double proportion = 0.0;

  PieChatData({
    required this.address,
    required this.color,
    required this.duration,
    this.proportion = 0.0,
  });
}

//pie_chat 颜色集合

List<Color> pieChatColors = [
  const Color(0xFF228B22),
  const Color(0xFF30AE6A),
  const Color(0xFF657B4B),
  const Color(0xFF2DC372),
  const Color(0xFF30CB30),
  const Color(0xFF89C919),
  const Color(0xFF42CACA),
  const Color(0xFF3D8E8E),
  const Color(0xFF60B0B0),
  const Color(0xFFA6612F),
  const Color(0xFFDB8055),
  const Color(0xFF4169E1),
  const Color(0xFF4682B4),
  const Color(0xFF2B9BD6),
  const Color(0xFF82C7F2),
  const Color(0xFFA47FE3),
  const Color(0xFFB8860B),
  const Color(0xFFE4BB16),
  const Color(0xFFB69174),
  const Color(0xFFD23C3C),
  const Color(0xFF8B008B),
  const Color(0xFFCD5C5C),
  const Color(0xFF9932CC),
  const Color(0xFF8B4513),
  const Color(0xFFFF8C00),
  const Color(0xFF20B2AA),
  const Color(0xFFDC143C),
  const Color(0xFF708090),
  const Color(0xFFFF1493),
];
